Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class Join

    java.lang.Object
      org.modeshape.graph.query.model.Join

All Implemented Interfaces:
  Serializable, LanguageObject, Source, Visitable

Direct Known Subclasses:
  JcrJoin

    @Immutable
    public class Join

extends Object
implements Source

See Also:
  Serialized Form

Constructor Summary
`Join(Source left, JoinType type, Source right, JoinCondition joinCondition)` Create a join of the left and right sources, using the supplied join condition.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`JoinCondition` | `joinCondition()` Get the join condition
`Source` | `left()` Get the source that represents the left-hand-side of the join.
`Source` | `right()` Get the source that represents the right-hand-side of the join.
`String` | `toString()`
`JoinType` | `type()` Get the type of join.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Join

    public Join(Source left,
                JoinType type,
                Source right,
                JoinCondition joinCondition)

  Create a join of the left and right sources, using the supplied join condition. The outputs of the left and right sources are expected to be equivalent.

  Parameters:
    `left` - the left source being joined
    `type` - the type of join
    `right` - the right source being joined
    `joinCondition` - the join condition

Method Detail

### left

    public Source left()

  Get the source that represents the left-hand-side of the join.

  Returns:
    the left-side source; never null

### right

    public Source right()

  Get the source that represents the right-hand-side of the join.

  Returns:
    the right-side source; never null

### type

    public final JoinType type()

  Get the type of join.

  Returns:
    the join type; never null

### joinCondition

    public JoinCondition joinCondition()

  Get the join condition

  Returns:
    the join condition; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.